Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	live djing application
Name:		djplay
Version:	0.5.0
Release:	1
Provides:	%{name}
License:	GPL
URL:		http://djplay.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libusb-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  audiofile-devel
BuildRequires:  cdparanoia-III-devel
BuildRequires:  libdjconsole-devel
BuildRequires:  libglib-devel
BuildRequires:  id3lib-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libmad-devel
BuildRequires:  libogg-devel
BuildRequires:  qt-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%description
DJPlay aims to be a high class live DJing application for Linux.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --mandir=%_mandir --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT%_applications/
mkdir -p $RPM_BUILD_ROOT%_pixmaps
install -m 644 djplay-icon.png $RPM_BUILD_ROOT%_pixmaps/

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 


%files
%defattr(-,root,root)
%_bindir
%_datadir/locale
%_datadir/djplay
%_datadir/applications
%_datadir/pixmaps


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0-1
- Initial Release
